Package org.globus.ftp.dc

# Class GridFTPDataChannel

java.lang.Object
org.globus.ftp.dc.AbstractDataChannel
org.globus.ftp.dc.SimpleDataChannel
org.globus.ftp.dc.GridFTPDataChannel

All Implemented Interfaces:
  `DataChannel`

public class GridFTPDataChannel extends SimpleDataChannel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GridFTPSession`
`gSession`

### Fields inherited from class org.globus.ftp.dc.SimpleDataChannel

`socketBox, transferThread, transferThreadFactory`

### Fields inherited from class org.globus.ftp.dc.AbstractDataChannel

`dataHandlers, session`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPDataChannel(Session session, SocketBox socketBox)`

## Method Summary

### Methods inherited from class org.globus.ftp.dc.SimpleDataChannel

`close, startTransfer, startTransfer`

### Methods inherited from class org.globus.ftp.dc.AbstractDataChannel

`getDataChannelSink, getDataChannelSource, isDataSinkModeSupported, isDataSourceModeSupported, registerHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### gSession

protected GridFTPSession gSession

## Constructor Details

### GridFTPDataChannel

public GridFTPDataChannel(Session session, SocketBox socketBox)